/*
    ContactXfer - Transfer Contacts via Wireless Network

    Copyright (C) 2008  Nigel D. Stepp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

    Nigel Stepp <stepp@atistar.net>
    http://www.atistar.net/~stepp/contactxfer/

    $Id: ContactXferAppDelegate.m 286 2008-09-05 06:30:02Z stepp $
*/

#import "ContactXferAppDelegate.h"
#import "ContactXferViewController.h"
#import "BrowserViewController.h"

const NSString *version = @"0.5b";

@implementation ContactXferAppDelegate

@synthesize window;
@synthesize viewController;

- (void)applicationDidFinishLaunching:(UIApplication *)application {	
	
	UIView *view = [viewController view];
	[window addSubview:view];
	
	[viewController.indicator stopAnimating];
	viewController.statusMessage.text = @"";

	viewController.addrOutImg.hidden = YES;
	viewController.addrInImg.hidden = YES;
	
	viewController.browserController.browserView = (UITableView *)[viewController.browserController view];
	[viewController.browserController hide];
	[viewController.browserController setStatusDelegate:viewController];
	
    [window makeKeyAndVisible];
}


- (void)dealloc {
	[window release];
	[viewController release];
	[super dealloc];
}

@end
